Documentation · API reference
GET/api/v1/sites/{site}/changes

Every change to a site's settings: who, what, when, old and new

Every change to a site's settings: who, what, when, old and new.

Parameters

sitein the address
neededA site's id or name

The answer

Status 200

A list of SiteChangeView One change to a site's settings (SI-08).

at
stringneeded
by
string or nullWho changed it. `null` when the instance's configuration did.
new
stringneeded
old
stringneeded
what
stringneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/changes \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/changes", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());